ranges::v3::concepts::TotallyOrdered Struct Reference
Utility » Concepts
Inheritance diagram for ranges::v3::concepts::TotallyOrdered:

## Public Member Functions

template<typename T >
void | requires_ ()
template<typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< TotallyOrdered, T >(), concepts::model_of< TotallyOrdered, U >()))
Public Member Functions inherited from ranges::v3::concepts::refines< EqualityComparable, WeaklyOrdered >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< EqualityComparable, WeaklyOrdered >
using | base_concepts_t = meta::list< Concepts... >